.TH Command ABM
.SY "abm <MISSILES> [global-defense-radius]"
The `\*Qabm\*U' command is used to report the status of your
arsenal of anti-ballistic missiles.  It is also used to modify
the \*Qglobal defense radius\*U (GDR) in which they will autolaunch
against incoming missiles.
Anti-ballistic missiles are basically just like any other missile.
What makes them unique, however, is their ability to \*Qautolaunch\*U
combined with their ability to defend another country's territory.
.s3
When a missile is launched against a target sector, the world's ABM 
armament is automatically scanned to locate an anti-ballistic missile 
within striking range of the incoming missile's target.  Selectable 
ABMs are those that are either owned by the \*Qtarget sector's owner\*U, 
or \*QABMs that are owned by anyone and have their global defense radius 
set to encompass the target sector\*U.
ABMs with less than 60% efficiency
as well as ABMs armed with nuclear devices are not considered for 
selection.
In the event that several ABMs could intercept the incoming 
missile, the one closest to the target will be selected.  
.s3
The `\*Qabm\*U' command lets you examine and change the global defense
radius for each of your ABMs.  If left set to zero, the ABM will 
autolaunch ONLY if it is within range of a target sector that YOU OWN.
(I.e., if someone lobs a nuke into a lake in the middle of your
country, you're toast.)  If you set the GDR to some positive value
up to the maximum range of the missile, it specifies the radius within
which to additionally autolaunch REGARDLESS of who owns the target.  
Since your ABMs can be launched even from foreign soil, the GDR combined 
with strategic missile placement gives you a way to help internally 
defend another country against missile attack.
.s3
.EX abm 14/15/16 .
.NF
   #    type           x,y    w  eff ship gdr
  14 abm 1            44,50     100%        0
  15 abm 4            60,50     100%        0
  16 abm 4           -14,122    100%        0
3 abms
.FI
.s1
.EX abm 14 5
.NF
   #    type           x,y    w  eff ship gdr
  14 abm 1            44,50     100%        5 (was 0)
1 abm
.FI
.s3
There are up to three chances for ABM intercepts to be launched
against a single incoming missile, reflecting the rapidly decreasing
odds of a successful intercept as the incoming screams toward its target.
If an ABM intercept launch is at all possible, it will happen.
If the first intercept should fail, there is a 66% chance that enough
time remains to launch a second ABM; if the second intercept should
fail, there is only a 33% chance that enough time remains for a
third ABM to launch.
.s3
The probability of an ABM successfully destroying the incoming missile
is the ratio of the ABM's attack factor to the incoming's defense factor,
times a random factor from (100-(abm accuracy rating))/100 to 99/100.
Odds are then bounded at 5% and 95%.  The `\*Qshow abm\*U' command will
print out a complete list of intercept success odds.
.s3
See also : build, planes, nuke-types, launch
