.TH Command LEVEL
.SY "level <SECTS> [comlist]"
The level report provides information about the various 
distribution thresholds in some or all of the sectors that
you occupy.
.s1
In the syntax of the level command
<SECTS> is the area on which you wish information, and [comlist]
is an optional list of commodities for which you want level
information.  If you do not specify a comlist, the default
"ufsgpidbolhr" is be used.  See \*Qinfo syntax\*U for more details.
.s1
A typical usage might be:
.EX level -6:6,-3:3
which would list data for the area extending three sectors
out from the capital in each direction.
.s1
The level report lists each of your sectors with the following heading:
.NF
DISTRIBUTION LEVELS
 sect    path------   dst   uw foo  sh gun pet irn dus bar oil lcm hcm rad
.FI
These columns represent:
.s3
.in \w'path------\0\0'u
.L sect
the x and y coordinates of the sector
.L path------
the route that goods travel to and from the distribution sector
.L dst
the distribution destination for the sector
.L uw
the distribution threshold for uncompensated workers in that sector
.L foo
the distribution threshold for food in that sector
.L gun
the distribution threshold for guns in that sector
.L sh
the distribution threshold for shells in that sector
.L pet
the distribution threshold for petroleum in that sector
.L irn
the distribution threshold for iron ore in that sector
.L dus
the distribution threshold for gold dust in that sector
.L bar
the distribution threshold for gold bars in that sector
.L oil
the distribution threshold for oil in that sector
.L lcm
the distribution threshold for light construction materials
in that sector
.L hcm
the distribution threshold for heavy construction materials
in that sector
.L rad
the distribution threshold for radioactive materials in that sector
.in \\n(in
.s1
For example:
.EX level -3:3,-2:0
.NF
.ps -1
Fri Oct 31 16:58:34 1986
DISTRIBUTION LEVELS
 sect    path-----   dst    uw foo  sh gun pet irn dus bar oil lcm hcm rad
-2,-2  m            -2,-2  201   0   0   0   0   0   0   0   0   0   0   0
 0,-2  g             0,-2    0   0   0   0   0   0   0   0   0   0   0   0
 2,-2  w             4,-2    0   0   0   0   0   0   0   0   0   0   0   0
-1,-1  +         b  -2,0     0 130   0   0   0   0   0   0   0   0   0   0
 1,-1  +         n   2,0    51 200   0   0   0   0   0   0   0   0   0   0
 3,-1  +         b   2,0    51 200   0   0   0   0   0   0   0   0   0   0
-2,0   a     ullln   6,0    51 400   0   0   0   0   0   0   0   0   0   0
 0,0   c         g  -2,0     0 896   0   0   0   0   0   0   0   0   0   0
 2,0   i       ugu  -2,-2   51   0   1   0   0   0   0   0   0  90  90   0
   9 sectors
.ps +1
.FI
.s3
See also : distribute, threshold, commodity, census
